#!/bin/sh
# qmailanalog-web installer Script Written by hip0 (Wed Apr 21 09:39:40 CST 2010)
# For bugs please contact me on: hipo@pc-freak.net
# Check out also my website http://www.pc-freak.net
# This script is licensed under GNU GPL 2
# Check out http://www.gnu.org/licenses/gpl-2.0.txt

# configures where qmailanalog web holds its log files
qmailanalog_log_dir='/var/log/qmailanalogweb/';
# configure another location if you need qmail-savelog and qmail-splitlog to be placed somewhere else
custom_bin=/usr/local/bin;
if [ ! -f /usr/local/bin/tai64nfrac ]; then

echo "tai64nfrac which is required by qmailanalog-web is not installed.";
echo "Please Download and Install it from http://www.eyrie.org/~eagle/software/tai64nfrac/";
fi

echo "Please provide a full path to the cgi-bin directory"
echo -n "If left empty it will be assigned to /usr/lib/cgi-bin : ";
read var;
if [ "$var" == "" ]; then
var=/usr/lib/cgi-bin;
echo $var;
fi

if [ ! -d $qmailanalog_log_dir ]; then
mkdir $qmailanalog_log_dir;
fi

echo "Where are qmailanalog binaries?";
echo -n "By Default in Debian they're in /usr/bin, Leaving empty sets the default: ";
read var1;
if [ "$var1" == "" ]; then
var1=/usr/bin;
else
sed -e "s#/usr/bin/#$var1#g" ./qmail-savelog >> qmail-savelog1;
mv qmail-savelog1; qmail-savelog;
fi
echo "Now enter qmail logs directory, Default is /var/log/qmail/send : ";
if [ "$var2" == "" ]; then
var2=/var/log/qmail/send;
else
sed -e "s#/var/log/qmail/qmail-send/#$var2#g" ./qmail-savelog >> qmail-savelog1;
mv qmail-savelog1 qmail-savelog;

fi

echo palma;
sed -e "s#/var/log/qmailanalogweb/#$qmailanalog_log_dir#g" ./qmailanalog-web >> qmailanalog-web1;
mv qmailanalog-web1 qmailanalog-web;
sed -e "#s/usr/bin#$var1#g" ./qmailanalog-web >> qmailanalog-web1;
mv ./qmailanalog-web1 qmailanalog-web;

echo "Copying qmail-savelog to $custom_bin";
/bin/cp -rpf ./qmail-savelog $custom_bin/qmail-savelog;
echo "Copying qmail-splitlog to $custom_bin";
/bin/cp -rpf ./qmail-splitlog $custom_bin/qmail-splitlog;
echo "Copying qmailanalog-web to $var";

echo
echo "$qmailanalog_log_dir
!! This step has to be done manually !!
!! Append the qmail-savelog preprocessor to your qmail-send/log run
script, using the path where you put qmail-savelog, e.g.:
!! For example open /service/qmail-send/log/run and put something like:

exec /usr/local/bin/setuidgid qmaill /usr/local/bin/multilog \
t !/usr/local/bin/qmail-savelog /var/log/qmail/qmail-send

Now qmail-send logs matchup-processed entries to the file
processed'' in addition to normal logging.";
echo 
echo "!!Now All left is to open your root crontab and add the following to it:";
echo "#qmailanalog-web
15 4,7,10,13,16,19,22 * * * $custom_bin/qmail-splitlog $qmailanalog_log_dir
06 2 * * * root /bin/chmod -R 755 $qmailanalog_log_dir";
echo
echo "Now you should be able to access the qmailanalog-web through http://yourdomainname.com/cgi-bin/qmailanalog-web";
echo "Where yourdomainname.com is actually your default configured Apache domain name.";
echo "If you experience some further problems please make sure you read the INSTALL & FGA files"
echo "Cheers!";


